Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class Profile

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.Profile

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OutOfOfficeProfile

public class Profile
extends AbstractItem
implements java.io.Serializable

This class represents the a domino profile .

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Constructor Summary
`protected` | `Profile(java.lang.String sProfileName, java.lang.String sProfileUser, PropertyValue[] propValues)` Constructor.

Method Summary
`java.lang.String` | `getProfileName()` Gets the profile name.
`java.lang.String` | `getProfileUser()` Gets the profile user name.
`void` | `serverDelete()` Deletes the profile on the server.
`void` | `serverUpdate()` Sends profile updates to the server.

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Profile

    protected Profile(java.lang.String sProfileName,
                      java.lang.String sProfileUser,
                      PropertyValue[] propValues)

  Constructor.

Parameters:
  `sProfileName` - the profile name key
  `sProfileUser` - the user name key
  `propValues` - the property values array

Method Detail

### getProfileName

    public java.lang.String getProfileName()

  Gets the profile name.

  Returns:
    the profile name key

### getProfileUser

    public java.lang.String getProfileUser()

  Gets the profile user name.

  Returns:
    the user name

### serverUpdate

    public void serverUpdate()
                      throws DominoException

  Sends profile updates to the server.

  Specified by:
    `serverUpdate` in class `AbstractItem`
  Throws:
    `DominoException`

### serverDelete

    public void serverDelete()
                      throws DominoException

  Deletes the profile on the server.

  Returns:
    void
  Throws:
    `DominoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.